ImageIOUtil
Date: 2016-04-28

org.apache.xmlgraphics.image.loader.impl.imageio

## Class ImageIOUtil

- java.lang.Object
- - org.apache.xmlgraphics.image.loader.impl.imageio.ImageIOUtil

-     public final class ImageIOUtil
      extends java.lang.Object

  Helper and convenience methods for ImageIO.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Object` | `IMAGEIO_METADATA` Key for ImageInfo's custom objects to embed the ImageIO metadata

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `dumpMetadataToSystemOut(javax.imageio.metadata.IIOMetadata iiometa)` Dumps the content of an IIOMetadata instance to System.out.
    `static void` | `extractResolution(javax.imageio.metadata.IIOMetadata iiometa, ImageSize size)` Extracts the resolution information from the standard ImageIO metadata.
    `static org.w3c.dom.Element` | `getChild(org.w3c.dom.Element el, java.lang.String name)` Returns a child element of another element or null if there's no such child.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IMAGEIO_METADATA

          public static final java.lang.Object IMAGEIO_METADATA

      Key for ImageInfo's custom objects to embed the ImageIO metadata

  - ### Method Detail

    - #### extractResolution

          public static void extractResolution(javax.imageio.metadata.IIOMetadata iiometa,
                               ImageSize size)

      Extracts the resolution information from the standard ImageIO metadata.
      Parameters:
        `iiometa` - the metadata provided by ImageIO
        `size` - the image size object

    - #### getChild

          public static org.w3c.dom.Element getChild(org.w3c.dom.Element el,
                                     java.lang.String name)

      Returns a child element of another element or null if there's no such child.
      Parameters:
        `el` - the parent element
        `name` - the name of the requested child
      Returns:
        the child or null if there's no such child

    - #### dumpMetadataToSystemOut

          public static void dumpMetadataToSystemOut(javax.imageio.metadata.IIOMetadata iiometa)

      Dumps the content of an IIOMetadata instance to System.out.
      Parameters:
        `iiometa` - the metadata